> For a complete page index, fetch https://developer.close.com/llms.txt

# List or filter tasks

GET https://api.close.com/api/v1/task/

The `view` parameter can be used to conveniently access the different task views. It accepts one of the following values:

* `inbox`: Shows incomplete tasks up to the end of the user's day only (taking the time zone into account).
* `future`: Shows incomplete tasks starting from the user's tomorrow only (taking the time zone into account).
* `archive`: Shows complete tasks only.

Note that a `view` value of `inbox` or `future` will override any `date__lt` or `date__gte` parameters included in the same request.

The `_order_by` field allows ordering by `date` or `date_created` (descending order by prepending a minus, e.g. `_order_by=-date`).

Reference: https://developer.close.com/api/resources/tasks/list

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `assigned_to` (string, optional, nullable)
- `format` (string, optional, nullable)
- `id` (string, optional, nullable)
- `id__in` (string, optional, nullable)
- `is_complete` (string, optional, nullable)
- `lead_id` (string, optional, nullable)
- `_order_by` (string, optional, nullable)
- `organization_id` (string, optional, nullable)
- `_type` (string, optional, nullable)
- `_type__in` (string, optional, nullable)
- `view` (string, optional, nullable)
- `date` (string, optional, nullable)
- `date__lt` (string, optional, nullable)
- `date__lte` (string, optional, nullable)
- `date__gt` (string, optional, nullable)
- `date__gte` (string, optional, nullable)
- `due_date` (string, optional, nullable)
- `due_date__lt` (string, optional, nullable)
- `due_date__lte` (string, optional, nullable)
- `due_date__gt` (string, optional, nullable)
- `due_date__gte` (string, optional, nullable)
- `date_created__lt` (string, optional, nullable)
- `date_created__lte` (string, optional, nullable)
- `date_created__gt` (string, optional, nullable)
- `date_created__gte` (string, optional, nullable)
- `date_updated__lt` (string, optional, nullable)
- `date_updated__lte` (string, optional, nullable)
- `date_updated__gt` (string, optional, nullable)
- `date_updated__gte` (string, optional, nullable)
- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

## Response

### 200

Successful response

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Response**

```json
{
  "data": [
    {
      "_type": "lead",
      "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "assigned_to_name": "John Doe",
      "contact_id": null,
      "contact_name": null,
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "created_by_name": "John Doe",
      "date": "2015-02-08T00:00:00+00:00",
      "date_created": "2015-02-08T20:30:54.314000+00:00",
      "date_updated": "2015-02-26T19:11:36.128000+00:00",
      "id": "task_aRUZXCm9lMb2LwipTPhfFoFbCsUnaoQh1ncQ7WLnjlI",
      "is_complete": false,
      "is_dateless": false,
      "lead_id": "lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc",
      "lead_name": "Close",
      "object_id": null,
      "object_type": null,
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "text": "Connect with Account Manager",
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "updated_by_name": "John Doe",
      "view": "inbox"
    },
    {
      "_type": "missed_call",
      "assigned_to": "user_alksdjfWZ9sg3FHYQcUwV7tbwZRpe3sA215Ftv8OvbU",
      "assigned_to_name": "Stefan Wojcik",
      "contact_id": "cont_nWEklsdiC4z8u0b9QcNV92pWZODOyS5eUIYkvID0poZ",
      "contact_name": "",
      "created_by": null,
      "created_by_name": null,
      "date": "2015-05-27T18:33:52.937000+00:00",
      "date_created": "2015-05-27T18:33:52.937000+00:00",
      "date_updated": "2015-05-27T18:35:28.120000+00:00",
      "id": "noti_034u5OZh3J759uE9kokI5r0xzhKE1tsfwcIwW5kXtWy",
      "is_complete": false,
      "lead_id": "lead_098324SXepf2mAk33WOIOvJYlis9dvRKJJe0wt1AwFE",
      "lead_name": "Lead Name",
      "local_phone": "+19193332031",
      "object_id": "acti_7ALcldIJ9faMty47UM8xqAr0AMLeGcCUTmK32FuURJO",
      "object_type": "call",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "phone": "+16503334444",
      "phone_formatted": "+1 650-333-4444",
      "phone_number_description": "California",
      "updated_by": null,
      "updated_by_name": null,
      "view": "inbox"
    },
    {
      "_type": "voicemail",
      "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "assigned_to_name": "John Doe",
      "contact_id": null,
      "contact_name": null,
      "created_by": null,
      "created_by_name": null,
      "date": "2014-01-29T21:18:37.535000+00:00",
      "date_created": "2015-02-26T19:24:39.847000+00:00",
      "date_updated": "2015-02-26T19:24:39.849000+00:00",
      "id": "noti_7WlHZCMgokvfv3H4SfymZLvG29QTifbGK0zMbEbPNgO",
      "is_complete": false,
      "lead_id": null,
      "lead_name": null,
      "local_phone": "+16319099219",
      "object_id": "acti_ZnroXFGejb5JjYnluywM9wjKAGPwU3IpidvQZtW7WRp",
      "object_type": "call",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "phone": "+16314238017",
      "updated_by": null,
      "updated_by_name": null,
      "view": "inbox",
      "voicemail_duration": 21,
      "voicemail_url": "https://s3.amazonaws.com/plivocloud/aaa-bbb-ccc.mp3"
    },
    {
      "_type": "incoming_email",
      "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "assigned_to_name": "John Doe",
      "body_preview": "Hi, does your company provide metrics for 12/2014?",
      "contact_id": "cont_73beDdTK5JOR7TMd5ervPFCwJ2jbXCPLtBfVY0yeg9X",
      "contact_name": "",
      "created_by": null,
      "created_by_name": null,
      "date": "2015-01-09T19:50:49+00:00",
      "date_created": "2015-01-09T19:50:49+00:00",
      "date_updated": "2015-02-26T19:24:38.643000+00:00",
      "emails": [
        "acti_LfXPSR1K9IMFZwEq0yjtmrhjI9tSBQ4u4lb2lF87dzs"
      ],
      "id": "noti_xN0O5Owvrxn6k8BclFme7L46k3eUaPlGMN6Y5o3mkyS",
      "is_complete": false,
      "lead_id": "lead_E271nhg2okT6QJ7btzKmZwmZOhWSXeOG21PCJshsP3N",
      "lead_name": "Test Company",
      "object_id": "acti_jV7yfal4zwkKNTv66rGrHFd1uFUqhyNHc1m812xzcCF",
      "object_type": "emailthread",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "subject": "December 2014 Metrics",
      "updated_by": null,
      "updated_by_name": null,
      "view": "inbox"
    },
    {
      "_type": "email_followup",
      "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "assigned_to_name": "John Doe",
      "body_preview": "Please respond if you're interested",
      "contact_id": "cont_73beDdTK5JOR7TMd5ervPFCwJ2jbXCPLtBfVY0yeg9X",
      "contact_name": "",
      "created_by": null,
      "created_by_name": null,
      "date": "2015-01-09T19:50:49+00:00",
      "date_created": "2015-01-09T19:50:49+00:00",
      "date_updated": "2015-02-26T19:24:38.643000+00:00",
      "email_id": "acti_nwretk1K9IMFZwEq0yjtmrhjI9tSBQ4u4lb2lbmnrqt",
      "id": "noti_akhsweqrrxn6k8BclFme7L46k3eUaPlGMN6Y5o3mkyS",
      "is_complete": false,
      "lead_id": "lead_E271nhg2okT6QJ7btzKmZwmZOhWSXeOG21PCJshsP3N",
      "lead_name": "Test Company",
      "object_id": "acti_nmsdgwqetlkKNTv66rGrHFd1uFUqhyNHc1m812xzbsq",
      "object_type": "emailthread",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "subject": "I have an offer for you",
      "updated_by": null,
      "updated_by_name": null,
      "view": "inbox"
    },
    {
      "_type": "answered_detached_call",
      "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "assigned_to_name": "John Doe",
      "contact_id": null,
      "contact_name": null,
      "created_by": null,
      "created_by_name": null,
      "date": "2015-01-09T19:49:49+00:00",
      "date_created": "2015-01-09T19:50:49+00:00",
      "date_updated": "2015-02-26T19:24:38.643000+00:00",
      "id": "noti_xc42fe5JD4y2GkcVhXQcbrrQKXjG6XDk5kuzBC1yRk0",
      "is_complete": false,
      "lead_id": null,
      "lead_name": null,
      "object_id": "acti_gtb5mn2YAO4up2Tv7XMjV5FLMif6JVebYxDOrqvnzas",
      "object_type": "call",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "phone": "+16504298174",
      "phone_formatted": "+1 650-429-8174",
      "phone_number_description": "California",
      "recording_url": "https://s3.amazonaws.com/plivocloud/aaa-bbb-ccc.mp3",
      "updated_by": null,
      "updated_by_name": null,
      "view": "inbox"
    },
    {
      "_type": "opportunity_due",
      "assigned_to": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "assigned_to_name": "Stefan Wojcik",
      "contact_id": "cont_elkeZ5eRDRgoPfVvqTtnN8L0Rdj8fyNlI043oqPxQ6Z",
      "contact_name": "John Doe",
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "created_by_name": "Stefan Wojcik",
      "date": "2015-05-28T00:00:00+00:00",
      "date_created": "2015-05-27T22:27:43.617000+00:00",
      "date_updated": "2015-05-27T22:59:26.435000+00:00",
      "id": "noti_7VfBZIqaXYO3tgdflHcY14kDu2mu9qeF32OT6PdOSqH",
      "is_complete": false,
      "lead_id": "lead_0yXstlx26nU5o3341BwO9oUbqHxwcvny8sYeWQo83gU",
      "lead_name": "Test Inc.",
      "object_id": "oppo_FOvMVC4D4OHvHyXjtoBytvS8QIKvqOjknPzzSyNei7e",
      "object_type": "opportunity",
      "opportunity_note": "tqm cvr",
      "opportunity_value": 130000,
      "opportunity_value_currency": "USD",
      "opportunity_value_formatted": "$1,300",
      "opportunity_value_period": "one_time",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "updated_by_name": "Stefan Wojcik",
      "view": "inbox"
    },
    {
      "_type": "incoming_sms",
      "assigned_to": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "assigned_to_name": "Stefan Wojcik",
      "attachments": [
        {
          "content_type": "image/png",
          "filename": "media_1.png",
          "media_id": "media_1GnAWzBfs0SOjTDcUnyyP9",
          "size": 15148,
          "thumbnail_url": "https://app.close.com/go/sms/acti_y10nW8kPdfmMPLy2Ufce9KymKPDuTRGKTqjpSxl6jMe/media/media_7Ga8l93XLVvqNsgjPbBuUI/thumbnail/",
          "url": "https://app.close.com/go/sms/acti_y10nW8kPdfmMPLy2Ufce9KymKPDuTRGKTqjpSxl6jMe/media/media_7Ga8l93XLVvqNsgjPbBuUI/"
        }
      ],
      "contact_id": "cont_TdzWUxuQbVMUiZbaF5ki5OFRdbGFXSD9kyw5CTPksIT",
      "contact_name": "Steve Ballmer",
      "created_by": null,
      "created_by_name": null,
      "date": "2016-09-21",
      "date_created": "2016-09-21T19:00:05.835000+00:00",
      "date_updated": "2016-09-21T19:00:05.835000+00:00",
      "id": "noti_8cT0GaRs0Ol2d97MvlresffPHEpTAE5qi6EE6y5RrKw",
      "is_complete": false,
      "lead_id": "lead_iuSXNk1x4KrPggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
      "lead_name": "New Lead",
      "local_phone": "+16503334444",
      "object_id": "acti_y10nW8kPdfmMPLy2Ufce9KymKPDuTRGKTqjpSxl6jMe",
      "object_type": "sms",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "remote_phone": "+18189347000",
      "remote_phone_description": "California",
      "remote_phone_formatted": "+1 818-934-7000",
      "text": "Developers developers developers developers!!!",
      "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
      "updated_by_name": "Stefan Wojcik",
      "view": "inbox"
    },
    {
      "_type": "outgoing_call",
      "agent_config_id": null,
      "assigned_to": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "assigned_to_name": "John Doe",
      "contact_id": "cont_nWEklsdiC4z8u0b9QcNV92pWZODOyS5eUIYkvID0poZ",
      "contact_name": "Bruce Wayne",
      "created_by": null,
      "created_by_name": null,
      "date": "2025-11-05T00:00:00+00:00",
      "date_created": "2025-11-04T18:33:52.937000+00:00",
      "date_updated": "2025-11-04T18:33:52.937000+00:00",
      "deduplication_key": null,
      "id": "noti_9cU1HbSt1Pm3e08NwmsftggQIFqUBF6rj7FF7z6SsLx",
      "is_complete": false,
      "is_primary_lead_notification": true,
      "lead_id": "lead_5LmpOyrMQdJSUlbNGBSGfK5XzcioIm7aC94PSQamQJc",
      "lead_name": "Wayne Enterprises",
      "object_id": null,
      "object_type": null,
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "resolution": null,
      "sequence_id": "seq_1BTljGuCooX0nbFoPihl07",
      "sequence_subscription_id": "sub_wRlAku35U53xEV7PcNY3Qo",
      "step_id": "step_5aH9sBVYNjNa0FrGGVdQzq",
      "text": "Qualify this lead",
      "updated_by": null,
      "updated_by_name": null,
      "view": "future"
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python tasks_list_example
import requests

url = "https://api.close.com/api/v1/task/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript tasks_list_example
const url = 'https://api.close.com/api/v1/task/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go tasks_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/task/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby tasks_list_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/task/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java tasks_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/task/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php tasks_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/task/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp tasks_list_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/task/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```